# #ArtProject

The #ArtProject is a collaboration between an amazing artist named Jessica Angel, the awesome team at Truebit, and Status (there may well be others to be announced in the not-so-distant future).

Imagined initially as a big physical piece meant to illustrate tangibly the Dogethereum bridge currently under construction at Truebit - this project is all about mapping into physical space the structures we are currently building in our new, decentralized digital worlds. We want to give people a visceral experience of digital space, to show them in a way that they can touch, feel, walk around and explore just why Ethereum and its ilk are so beautiful and exciting to those of us involved in actually fitting all the pieces of a new world together.

This project is about building and activating bridges: bridges between blockchains, bridges between digital space and meat space, between the virtual and the visceral, between the old and the new; bridges between human beings and the technologies we use to extend our capacities way beyond what most imagine to be the horizons of the possible.

You can find out more by watching the video below and joining the upcoming meetups and Makeathon that are mentioned!

[![#ArtProject Teaser](https://imgur.com/dtKUclw.png)](https://www.youtube.com/watch?v=wi-kQ7bIpxI)

# This Repository

Is simply somewhere to keep the #ArtProject website for now and create bounties for any and all of the technical work we will require in order to make this the single greatest and most mind-boggling installation the crypto-world has ever seen!

Join us - the revolution will rendered artistically!

# Development

## Setup
* [Handlebars](http://handlebarsjs.com/) templates
* ES6 support (provided by [Babel](https://babeljs.io/))
* [Sass/SCSS](http://sass-lang.com/) support

## Prerequisites
You will need the following things properly installed on your computer.
* [Git](http://git-scm.com/)
* [Node.js](http://nodejs.org/) (with NPM)
* [Gulp](http://gulpjs.com/)

## Installation
* `git clone git@github.com:status-im/artproject.git` this repository
* change into the new directory
* `npm install`

## Running / Development
* `npm start` or `npm run start` to serve templates
* Visit your app at [http://localhost:9000](http://localhost:9000).

### Building
* `npm run build` to build templates

## Testing
* `npm run test` to run tests once
* `npm run test:watch` to run tests in watch mode
